netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
locking.c File Reference

Netatalk utility functions: locking. More...

`#include <fcntl.h>`
`#include <unistd.h>`
`#include <atalk/util.h>`

## Functions
int | lock_reg (int fd, int cmd, int type, off_t offset, int whence, off_t len)
| lock a file with fctnl

## Detailed Description

Netatalk utility functions: locking.

## Function Documentation

## ◆ lock_reg()

int lock_reg | ( | int | fd,
|  | int | cmd,
|  | int | type,
|  | off_t | offset,
|  | int | whence,
|  | off_t | len )

lock a file with fctnl

This function is called via the macros: read_lock, write_lock, un_lock

Parameters

  [in] | fd | File descriptor
  [in] | cmd | cmd to fcntl, only F_SETLK is usable here
  [in] | type | F_RDLCK, F_WRLCK, F_UNLCK
  [in] | offset | byte offset relative to l_whence
  [in] | whence | SEEK_SET, SEEK_CUR, SEEK_END
  [in] | len | no. of bytes (0 means to EOF)

Returns
  0 on success, -1 on failure with fcntl return value and errno

See also
  read_lock, write_lock, unlock